curl --request POST \
--url https://api.omniall.ai/v1/video/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "omniall-redraw-1",
"prompt": "重绘",
"video_url": "https://cdn.example.com/clip.mp4",
"seconds": 6,
"resolution": "1080p"
}
'{
"id": "task_xxx",
"task_id": "task_xxx",
"status": "processing",
"model": "omniall-redraw-1"
}视频重绘
创建视频重绘
创建异步视频重绘任务。
路径: POST https://api.omniall.ai/v1/video/generations(亦可 POST /v1/videos)
建议每 10–15 秒轮询。成功后下载 result_url / video_url 并尽快转存。
计费秒数:max(4, ceil(源时长 - 0.1)),上限 60。
鉴权:Authorization: Bearer sk-...
POST
/
v1
/
video
/
generations
curl --request POST \
--url https://api.omniall.ai/v1/video/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "omniall-redraw-1",
"prompt": "重绘",
"video_url": "https://cdn.example.com/clip.mp4",
"seconds": 6,
"resolution": "1080p"
}
'{
"id": "task_xxx",
"task_id": "task_xxx",
"status": "processing",
"model": "omniall-redraw-1"
}请求体
application/json